Bug 764839 - (GLUSTER-3107) Different error behaviour with "no read" permission in windows xp (samba re-export)
Different error behaviour with "no read" permission in windows xp (samba re-e...
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: access-control (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 07:56 EDT by M S Vishwanath Bhat
Modified: 2013-12-08 20:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2011-06-29 07:56:51 EDT
I did samba re-export of the gluster mount-point. I created a file on gluster mount-point and set the acl permission for others to "---". When I tried to access the file from the windows, I got an error which said "can not open the \\<ip-addr>\testacl\testfile.txt file. make sure a disk is in the drive you specified". 

When I repeated the above exercise with ext3 backend (no gluster mount point), I got the error as "Access Denied" which is expected.
Comment 1 shishir gowda 2011-07-04 07:00:34 EDT
set the backend permission for others as ---.

Open both on backend samba and gluster mount samba failed with Access denied

Note You need to log in before you can comment on or make changes to this bug.